import pygame
from pygame.locals import *
from constants import *

class Thing(pygame.sprite.Sprite):
    def __init__(self):
        pygame.sprite.Sprite.__init__(self)

    def draw(self,surface):
        surface.blit(self.image,self.rect)

    def move(self,dt):
        pass

    def offscreen(self):
        return ( (self.rect.right < 0) or (self.rect.bottom < 0) or (self.rect.left >= GAME_RES[0]) or (self.rect.top >= GAME_RES[1]) )

